Bug 450673 - User names get elided quite early now that text size is bigger
Summary: User names get elided quite early now that text size is bigger
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Plasma
Component: Theme - Breeze (show other bugs)
Version: 5.24.1
Platform: OpenSUSE Linux
: NOR normal
Target Milestone: 1.0
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-02-21 21:53 UTC by Gerhard
Modified: 2022-02-24 02:45 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.24.3


Attachments
Login screen with plasma 5.24, plasma settings not applied (3.01 MB, image/jpeg)
2022-02-22 06:23 UTC, Gerhard
Details
Login screen with plasma settings applied (2.72 MB, image/jpeg)
2022-02-22 06:24 UTC, Gerhard
Details
Lock screen, sizing of fonts and widgets as it should be (2.59 MB, image/jpeg)
2022-02-22 06:25 UTC, Gerhard
Details
Login screen as it was with plasma 5.23.5 (plasma settings not applied) (2.81 MB, image/jpeg)
2022-02-22 06:26 UTC, Gerhard
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gerhard 2022-02-21 21:53:03 UTC
Before plasma 5.24.0, the font size of the user names and avatar sizes on the SDDM login screen was very similar to the lock screen. This is IMO how it should be. Now after upgrading to >= 5.24.0, the fonts became too big and they now look clumsy. This is a regression somehow connected to plasma 5.24

I'm using a monitor with 144 DPI and have explicitly set the DPI in /etc/sddm.conf.d in a file containing
[XDisplay]
ServerArguments=-dpi 144

Setting it to t.ex. 142 DPI gives smaller fonts on the login screen, but that affects the avatars a lot, they become too small. So there's no way to work around the problem.

I tried the KDE breeze theme and openSUSE, the effect is the same.

SOFTWARE/OS VERSIONS
Linux/KDE Plasma: openSUSE Tumbleweed 20220219
KDE Plasma Version: 5.24.1
KDE Frameworks Version: 5.90
Qt Version: 5.15.2
Comment 1 Nate Graham 2022-02-21 21:55:40 UTC
The font size should look the same on the lock and login screens if you've synced your Plasma settings to SDDM using System Settings > Startup and Shutdown > Login Screen (SDDM) > Apply Plasma Settings.

Can you do that, or do it again? See if that fixes the issue for you.
Comment 2 Gerhard 2022-02-22 06:22:33 UTC
OK, the plasma settings were not synced. I did that now, and in fact, it became a bit better, but still the fonts are too big. I attached a few photos from my mobile (very unprofessional, but I don't know how to do screenshots of these screens).
Comment 3 Gerhard 2022-02-22 06:23:59 UTC
Created attachment 147034 [details]
Login screen with plasma 5.24, plasma settings not applied
Comment 4 Gerhard 2022-02-22 06:24:47 UTC
Created attachment 147035 [details]
Login screen with plasma settings applied
Comment 5 Gerhard 2022-02-22 06:25:55 UTC
Created attachment 147036 [details]
Lock screen, sizing of fonts and widgets as it should be
Comment 6 Gerhard 2022-02-22 06:26:54 UTC
Created attachment 147037 [details]
Login screen as it was with plasma 5.23.5 (plasma settings not applied)
Comment 7 Nate Graham 2022-02-22 17:33:41 UTC
Thanks. What you are seeing is an intentional design change. We thought the names were too small before.

However with your screenshots I see that the true source of distress is that the size change now make your name get elided! That's silly. I'll fix it.
Comment 8 Gerhard 2022-02-23 06:21:03 UTC
Yes, the elision of our last names is definitely a problem, too.
However, I think the font and widget size of the lock screen are perfect, so this is IMO what would be the best design for the login screen, too.
As big as it is now, it's just a bit exaggerated. This could be a result of some scaling that the X server applies for my High-DPI monitor (4k 32"), too.
Comment 9 Bug Janitor Service 2022-02-23 23:07:16 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-workspace/-/merge_requests/1488
Comment 10 Nate Graham 2022-02-24 01:10:57 UTC
Git commit a630dfb6b6bbe6edc4a0246f309ca6632f763711 by Nate Graham.
Committed on 23/02/2022 at 23:24.
Pushed by ngraham into branch 'master'.

SDDM theme: stop eliding people's names so aggressively

When more than one user is shown on the login screen, username labels
are limited to the width of the avatar so they don't overlap one
another. However they are not allowed to become multi-line strings, so
they can get elided if they are not somewhat short. This was worsened
recently by a change in Plasma 5.24 to increase the size of the
username labels, which shortened the amount of text that can be seen
without eliding.

This commit fixes that problem by allowing constrained username labels
to become multi-line strings with up to 3 lines, and adjusting the
surrounding layout to visually accommodate this.
FIXED-IN: 5.24.3

M  +7    -0    lookandfeel/contents/components/SessionManagementScreen.qml
M  +11   -14   lookandfeel/contents/components/UserDelegate.qml
M  +2    -1    lookandfeel/contents/components/UserList.qml

https://invent.kde.org/plasma/plasma-workspace/commit/a630dfb6b6bbe6edc4a0246f309ca6632f763711
Comment 11 Nate Graham 2022-02-24 02:45:55 UTC
Git commit 9b307559ef19a773576c745d65b337ff287d475f by Nate Graham.
Committed on 24/02/2022 at 02:40.
Pushed by ngraham into branch 'Plasma/5.24'.

SDDM theme: stop eliding people's names so aggressively

When more than one user is shown on the login screen, username labels
are limited to the width of the avatar so they don't overlap one
another. However they are not allowed to become multi-line strings, so
they can get elided if they are not somewhat short. This was worsened
recently by a change in Plasma 5.24 to increase the size of the
username labels, which shortened the amount of text that can be seen
without eliding.

This commit fixes that problem by allowing constrained username labels
to become multi-line strings with up to 3 lines, and adjusting the
surrounding layout to visually accommodate this.
FIXED-IN: 5.24.3
(cherry picked from commit a630dfb6b6bbe6edc4a0246f309ca6632f763711)

M  +7    -0    lookandfeel/contents/components/SessionManagementScreen.qml
M  +12   -15   lookandfeel/contents/components/UserDelegate.qml
M  +2    -1    lookandfeel/contents/components/UserList.qml

https://invent.kde.org/plasma/plasma-workspace/commit/9b307559ef19a773576c745d65b337ff287d475f